<?php
 namespace VnChocola\Module\Scheduler;
 use TCMS\Module;
 use Route;
 use Model;
 use LayoutData;
 class SchedulerIndex extends Module {
 protected function initialize() {
 }
 protected function registerRoutes() {
 Route::get('/', 'IndexController', 'index')->name('index');
 Route::get('/create', 'IndexController', 'create')->name('create');
 Route::post('/create', 'IndexController', 'postCreate');
 Route::get('/update/{id}', 'IndexController', 'update')->name('update');
 Route::post('/update/{id}', 'IndexController', 'postUpdate');
 Route::post('/delete/{id}', 'IndexController', 'postDelete')->name('delete');
 }
 public function registerComponent() {
 Model::add('GroupUserModel', \VnChocola\Model\GroupUserModel::class, true);
 Model::add('SchedulerModel', \VnChocola\Model\SchedulerModel::class, true);
 }
 public function boot() {
 }
 public function middleware(string $routeName, $auth) {
 }
 }
